Skip to content

What happened since the last issue: posts that went in or were left out, issues, and who turned it on

GET
/api/v1/workspaces/{workspace}/digests/{digestId}/history
curl --request GET \
--url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/digests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/history?limit=5' \
--header 'Authorization: Bearer <token>'

Permission: campaigns:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

digestId
required
string format: uuid
limit
integer format: int64
default: 5 >= 1 <= 30

OK

Media typeapplication/json
object
items
required
Array<object>
object
actor
string
approvedAt
string format: date-time
approvedBy
string
at
required
string format: date-time
builtAt
string format: date-time
builtBy
string
builtMode
string
category
string
draftList
string
kind
required
string
Allowed values: left_out goes_in sent skipped not_sent turned_on paused created
leftOutBy
string
mode
string
note
string
number
integer format: int64
owner
string
pauseReason
string
published
string format: date-time
recipients
integer format: int64
sendAt
string format: date-time
skipReason
string
title
string
via
string

Example

{
"items": [
{
"kind": "left_out"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}